Boomi API Control Plane REST API - APIProducts
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get API Product
Return an API Product that the current user is allowed to see.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| includeRunningJobs | boolean |
Responses
Response Schema: application/json
| allowSelfServiceSubscription required | boolean Allow self-service subscription via Developer Portal. |
| displayName required | string <= 255 characters Human-readable name of the API product. |
| mcpStatus required | string Enum: "DISABLED" "ENABLED" ENABLED exposes APIs to AI agents via MCP. |
| name required | string <= 255 characters Technical name. Also used in MCP bridge addresses. |
| published required | boolean Visible in Developer Portal. |
| tags required | Array of strings unique |
| visibility required | string Enum: "RESTRICTED" "PUBLIC" PUBLIC (all users) or RESTRICTED (specific orgs). |
| description | string <= 1000 characters Optional description of the API product. |
| owner | string <uuid> Owning organization UUID. |
| ownerDisplayName | string Owning org name (read-only). |
| ownerEmail | string Owning org email (read-only). |
| platformTypes | Array of strings unique Platform types of the APIs included in this product (read-only). |
| subscribableStatus | string Enum: "OK" "NO_APIS" "NO_PLANS" "NOT_DEPLOYED" "NOT_DEPLOYED_IN_PRODUCTION" "ENVIRONMENT_ACCESS_DENIED" OK = subscribable. Other values indicate blockers. |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this product (read-only). |
Array of objects (EnvironmentDTO) Deployed environments. Requires includeDeployedOn=true. | |
| mcpServerVersion | string Semantic version of the MCP server exposed by this API Product. |
Array of objects (RunningJobDTO) |
Response samples
- 200
- default
{- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}Update API Product
Update an API Product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: application/jsonrequired
| allowSelfServiceSubscription required | boolean Allow self-service subscription via Developer Portal. |
| displayName required | string <= 255 characters Human-readable name of the API product. |
| mcpStatus required | string Enum: "DISABLED" "ENABLED" ENABLED exposes APIs to AI agents via MCP. |
| name required | string <= 255 characters Technical name. Also used in MCP bridge addresses. |
| published required | boolean Visible in Developer Portal. |
| tags required | Array of strings unique |
| visibility required | string Enum: "RESTRICTED" "PUBLIC" PUBLIC (all users) or RESTRICTED (specific orgs). |
| description | string <= 1000 characters Optional description of the API product. |
| owner | string <uuid> Owning organization UUID. |
| ownerDisplayName | string Owning org name (read-only). |
| ownerEmail | string Owning org email (read-only). |
| platformTypes | Array of strings unique Platform types of the APIs included in this product (read-only). |
| subscribableStatus | string Enum: "OK" "NO_APIS" "NO_PLANS" "NOT_DEPLOYED" "NOT_DEPLOYED_IN_PRODUCTION" "ENVIRONMENT_ACCESS_DENIED" OK = subscribable. Other values indicate blockers. |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this product (read-only). |
Array of objects (EnvironmentDTO) Deployed environments. Requires includeDeployedOn=true. | |
| mcpServerVersion | string Semantic version of the MCP server exposed by this API Product. |
Array of objects (RunningJobDTO) |
Responses
Response Schema: application/json
| allowSelfServiceSubscription required | boolean Allow self-service subscription via Developer Portal. |
| displayName required | string <= 255 characters Human-readable name of the API product. |
| mcpStatus required | string Enum: "DISABLED" "ENABLED" ENABLED exposes APIs to AI agents via MCP. |
| name required | string <= 255 characters Technical name. Also used in MCP bridge addresses. |
| published required | boolean Visible in Developer Portal. |
| tags required | Array of strings unique |
| visibility required | string Enum: "RESTRICTED" "PUBLIC" PUBLIC (all users) or RESTRICTED (specific orgs). |
| description | string <= 1000 characters Optional description of the API product. |
| owner | string <uuid> Owning organization UUID. |
| ownerDisplayName | string Owning org name (read-only). |
| ownerEmail | string Owning org email (read-only). |
| platformTypes | Array of strings unique Platform types of the APIs included in this product (read-only). |
| subscribableStatus | string Enum: "OK" "NO_APIS" "NO_PLANS" "NOT_DEPLOYED" "NOT_DEPLOYED_IN_PRODUCTION" "ENVIRONMENT_ACCESS_DENIED" OK = subscribable. Other values indicate blockers. |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this product (read-only). |
Array of objects (EnvironmentDTO) Deployed environments. Requires includeDeployedOn=true. | |
| mcpServerVersion | string Semantic version of the MCP server exposed by this API Product. |
Array of objects (RunningJobDTO) |
Request samples
- Payload
{- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}Response samples
- 200
- default
{- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}Delete API Product
Delete an API Product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| undeploy | boolean |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Add terms of use to API Product
Assign a terms of use document to this API product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| termsOfUse required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Remove terms of use from API Product
Unassign a terms of use document from this API product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| termsOfUse required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Add plan to API Product
Add a plan to an API Product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| planId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| allowSelfServiceSubscription required | boolean Allow self-service subscription via Developer Portal. |
| displayName required | string <= 255 characters Human-readable name of the API product. |
| mcpStatus required | string Enum: "DISABLED" "ENABLED" ENABLED exposes APIs to AI agents via MCP. |
| name required | string <= 255 characters Technical name. Also used in MCP bridge addresses. |
| published required | boolean Visible in Developer Portal. |
| tags required | Array of strings unique |
| visibility required | string Enum: "RESTRICTED" "PUBLIC" PUBLIC (all users) or RESTRICTED (specific orgs). |
| description | string <= 1000 characters Optional description of the API product. |
| owner | string <uuid> Owning organization UUID. |
| ownerDisplayName | string Owning org name (read-only). |
| ownerEmail | string Owning org email (read-only). |
| platformTypes | Array of strings unique Platform types of the APIs included in this product (read-only). |
| subscribableStatus | string Enum: "OK" "NO_APIS" "NO_PLANS" "NOT_DEPLOYED" "NOT_DEPLOYED_IN_PRODUCTION" "ENVIRONMENT_ACCESS_DENIED" OK = subscribable. Other values indicate blockers. |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this product (read-only). |
Array of objects (EnvironmentDTO) Deployed environments. Requires includeDeployedOn=true. | |
| mcpServerVersion | string Semantic version of the MCP server exposed by this API Product. |
Array of objects (RunningJobDTO) |
Response samples
- 200
- default
{- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}Remove plan from API Product
Remove a plan from an API Product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| planId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| allowSelfServiceSubscription required | boolean Allow self-service subscription via Developer Portal. |
| displayName required | string <= 255 characters Human-readable name of the API product. |
| mcpStatus required | string Enum: "DISABLED" "ENABLED" ENABLED exposes APIs to AI agents via MCP. |
| name required | string <= 255 characters Technical name. Also used in MCP bridge addresses. |
| published required | boolean Visible in Developer Portal. |
| tags required | Array of strings unique |
| visibility required | string Enum: "RESTRICTED" "PUBLIC" PUBLIC (all users) or RESTRICTED (specific orgs). |
| description | string <= 1000 characters Optional description of the API product. |
| owner | string <uuid> Owning organization UUID. |
| ownerDisplayName | string Owning org name (read-only). |
| ownerEmail | string Owning org email (read-only). |
| platformTypes | Array of strings unique Platform types of the APIs included in this product (read-only). |
| subscribableStatus | string Enum: "OK" "NO_APIS" "NO_PLANS" "NOT_DEPLOYED" "NOT_DEPLOYED_IN_PRODUCTION" "ENVIRONMENT_ACCESS_DENIED" OK = subscribable. Other values indicate blockers. |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this product (read-only). |
Array of objects (EnvironmentDTO) Deployed environments. Requires includeDeployedOn=true. | |
| mcpServerVersion | string Semantic version of the MCP server exposed by this API Product. |
Array of objects (RunningJobDTO) |
Response samples
- 200
- default
{- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}Add allowed organization to API Product
Add organization to list of organizations that are granted access to this API Product. Only applies if API Product visibility is RESTRICTED.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| orgId required | string |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Remove allowed organization from API Product
Remove organization from list of organizations that are granted access to this API Product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| orgId required | string |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Get API Product icon
Get icon for an API Product, if present.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema:
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Upload API Product icon
Upload icon for an API Product. Any existing icon will be overwritten.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: multipart/form-data
| file required | string <binary> |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Delete API Product icon
Delete icon for an API Product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Add API to API Product
Add an API to an API Product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| apiId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| allowSelfServiceSubscription required | boolean Allow self-service subscription via Developer Portal. |
| displayName required | string <= 255 characters Human-readable name of the API product. |
| mcpStatus required | string Enum: "DISABLED" "ENABLED" ENABLED exposes APIs to AI agents via MCP. |
| name required | string <= 255 characters Technical name. Also used in MCP bridge addresses. |
| published required | boolean Visible in Developer Portal. |
| tags required | Array of strings unique |
| visibility required | string Enum: "RESTRICTED" "PUBLIC" PUBLIC (all users) or RESTRICTED (specific orgs). |
| description | string <= 1000 characters Optional description of the API product. |
| owner | string <uuid> Owning organization UUID. |
| ownerDisplayName | string Owning org name (read-only). |
| ownerEmail | string Owning org email (read-only). |
| platformTypes | Array of strings unique Platform types of the APIs included in this product (read-only). |
| subscribableStatus | string Enum: "OK" "NO_APIS" "NO_PLANS" "NOT_DEPLOYED" "NOT_DEPLOYED_IN_PRODUCTION" "ENVIRONMENT_ACCESS_DENIED" OK = subscribable. Other values indicate blockers. |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this product (read-only). |
Array of objects (EnvironmentDTO) Deployed environments. Requires includeDeployedOn=true. | |
| mcpServerVersion | string Semantic version of the MCP server exposed by this API Product. |
Array of objects (RunningJobDTO) |
Response samples
- 200
- default
{- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}Remove API from API Product
Remove an API from an API Product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| apiId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| allowSelfServiceSubscription required | boolean Allow self-service subscription via Developer Portal. |
| displayName required | string <= 255 characters Human-readable name of the API product. |
| mcpStatus required | string Enum: "DISABLED" "ENABLED" ENABLED exposes APIs to AI agents via MCP. |
| name required | string <= 255 characters Technical name. Also used in MCP bridge addresses. |
| published required | boolean Visible in Developer Portal. |
| tags required | Array of strings unique |
| visibility required | string Enum: "RESTRICTED" "PUBLIC" PUBLIC (all users) or RESTRICTED (specific orgs). |
| description | string <= 1000 characters Optional description of the API product. |
| owner | string <uuid> Owning organization UUID. |
| ownerDisplayName | string Owning org name (read-only). |
| ownerEmail | string Owning org email (read-only). |
| platformTypes | Array of strings unique Platform types of the APIs included in this product (read-only). |
| subscribableStatus | string Enum: "OK" "NO_APIS" "NO_PLANS" "NOT_DEPLOYED" "NOT_DEPLOYED_IN_PRODUCTION" "ENVIRONMENT_ACCESS_DENIED" OK = subscribable. Other values indicate blockers. |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this product (read-only). |
Array of objects (EnvironmentDTO) Deployed environments. Requires includeDeployedOn=true. | |
| mcpServerVersion | string Semantic version of the MCP server exposed by this API Product. |
Array of objects (RunningJobDTO) |
Response samples
- 200
- default
{- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}List API Products
Get a filtered and paged list of all API Products. For users that are not global admins, this list is limited to API Products owned by the user's organization.
Authorizations:
query Parameters
| text | string |
| displayName | string |
| owner | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| environment | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| tags | Array of strings |
| deployed | boolean |
| api | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| platformTypes | Array of strings Filter by platform types. Supports multiple values (e.g., platformTypes=BOOMI&platformTypes=AWS). |
| plan | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| visibility | string Enum: "RESTRICTED" "PUBLIC" |
| published | string Enum: "UNPUBLISHED" "PUBLISHED" |
| selfServiceSubscriptionAllowed | boolean |
| candidatesForApi | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| includeDeployedOn | boolean |
| mcpStatus | string Enum: "DISABLED" "ENABLED" |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiProductDTO) List of ApiProductDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Create API Product
Create a new API Product.
Authorizations:
Request Body schema: application/jsonrequired
| allowSelfServiceSubscription required | boolean Allow self-service subscription via Developer Portal. |
| displayName required | string <= 255 characters Human-readable name of the API product. |
| mcpStatus required | string Enum: "DISABLED" "ENABLED" ENABLED exposes APIs to AI agents via MCP. |
| name required | string <= 255 characters Technical name. Also used in MCP bridge addresses. |
| published required | boolean Visible in Developer Portal. |
| tags required | Array of strings unique |
| visibility required | string Enum: "RESTRICTED" "PUBLIC" PUBLIC (all users) or RESTRICTED (specific orgs). |
| description | string <= 1000 characters Optional description of the API product. |
| owner | string <uuid> Owning organization UUID. |
| ownerDisplayName | string Owning org name (read-only). |
| ownerEmail | string Owning org email (read-only). |
| platformTypes | Array of strings unique Platform types of the APIs included in this product (read-only). |
| subscribableStatus | string Enum: "OK" "NO_APIS" "NO_PLANS" "NOT_DEPLOYED" "NOT_DEPLOYED_IN_PRODUCTION" "ENVIRONMENT_ACCESS_DENIED" OK = subscribable. Other values indicate blockers. |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this product (read-only). |
Array of objects (EnvironmentDTO) Deployed environments. Requires includeDeployedOn=true. | |
| mcpServerVersion | string Semantic version of the MCP server exposed by this API Product. |
Array of objects (RunningJobDTO) |
Responses
Response Schema: application/json
| allowSelfServiceSubscription required | boolean Allow self-service subscription via Developer Portal. |
| displayName required | string <= 255 characters Human-readable name of the API product. |
| mcpStatus required | string Enum: "DISABLED" "ENABLED" ENABLED exposes APIs to AI agents via MCP. |
| name required | string <= 255 characters Technical name. Also used in MCP bridge addresses. |
| published required | boolean Visible in Developer Portal. |
| tags required | Array of strings unique |
| visibility required | string Enum: "RESTRICTED" "PUBLIC" PUBLIC (all users) or RESTRICTED (specific orgs). |
| description | string <= 1000 characters Optional description of the API product. |
| owner | string <uuid> Owning organization UUID. |
| ownerDisplayName | string Owning org name (read-only). |
| ownerEmail | string Owning org email (read-only). |
| platformTypes | Array of strings unique Platform types of the APIs included in this product (read-only). |
| subscribableStatus | string Enum: "OK" "NO_APIS" "NO_PLANS" "NOT_DEPLOYED" "NOT_DEPLOYED_IN_PRODUCTION" "ENVIRONMENT_ACCESS_DENIED" OK = subscribable. Other values indicate blockers. |
| deploymentStatus | string Enum: "DEPLOYED" "DEPLOYMENT_FAILED" "DELETION_FAILED" "DELETION_IN_PROGRESS" "DEPLOYMENT_IN_PROGRESS" "DEPLOYMENT_REQUIRED" "CREATED" Deployment status. |
| id | string <uuid> System-assigned ID (read-only). |
| hasImage | boolean Whether a custom image has been uploaded for this product (read-only). |
Array of objects (EnvironmentDTO) Deployed environments. Requires includeDeployedOn=true. | |
| mcpServerVersion | string Semantic version of the MCP server exposed by this API Product. |
Array of objects (RunningJobDTO) |
Request samples
- Payload
{- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}Response samples
- 200
- default
{- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}List API Product documentation files
List all uploaded documentation files for this API Product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
Response samples
- 200
- default
[- "string"
]Upload API Product documentation image file
Upload image file for use in documentation of an API Product. If a file with the same name exists, it will be overwritten.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: multipart/form-data
| file required | string <binary> |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Deploy API Product
Update existing deployments for an API Product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Deploy API Product asynchronously
Asynchronously update existing deployments for an API Product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| id required | string <uuid> UUID of the async job. |
Response samples
- 200
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}List terms of use for API Product
Get all terms of use documents that are assigned to this API product, including documents marked as default for all API products.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| active | boolean |
Responses
Response Schema: application/json
| active required | boolean Whether this terms-of-use document is currently active. |
| defaultForApiProducts required | boolean Default for new API Products. |
| defaultForDevPortals required | boolean Default for portal registration. |
| name required | string Display name of the terms-of-use document. |
| createdAt | string <date-time> Timestamp when the document was created. |
| id | string <uuid> UUID of the terms-of-use document. |
Response samples
- 200
- default
[- {
- "name": "string",
- "active": true,
- "defaultForApiProducts": true,
- "defaultForDevPortals": true,
- "createdAt": "2019-08-24T14:15:22Z",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]List available terms of use for API Product
Get all available terms of use documents that can be assigned to this API product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| active required | boolean Whether this terms-of-use document is currently active. |
| defaultForApiProducts required | boolean Default for new API Products. |
| defaultForDevPortals required | boolean Default for portal registration. |
| name required | string Display name of the terms-of-use document. |
| createdAt | string <date-time> Timestamp when the document was created. |
| id | string <uuid> UUID of the terms-of-use document. |
Response samples
- 200
- default
[- {
- "name": "string",
- "active": true,
- "defaultForApiProducts": true,
- "defaultForDevPortals": true,
- "createdAt": "2019-08-24T14:15:22Z",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]List subscriptions for API Product
Get all subscriptions for an API Product, to which you have access. If you own this product, this will return all of its subscriptions. Otherwise, you will only see subscriptions from applications to which you have access.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (SubscriptionDTO) List of SubscriptionDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "application": "123e4567-e89b-12d3-a456-426614174000",
- "apiProduct": "123e4567-e89b-12d3-a456-426614174000",
- "plan": "123e4567-e89b-12d3-a456-426614174000",
- "environments": "[123e4567-e89b-12d3-a456-426614174000, 123e4567-e89b-12d3-a456-426614174000, 123e4567-e89b-12d3-a456-426614174000]",
- "id": "123e4567-e89b-12d3-a456-426614174000",
- "approvalStatus": "APPROVED",
- "approvalRequest": "123e4567-e89b-12d3-a456-426614174000",
- "deploymentStatus": "COMPLETE",
- "termsOfUseAccepted": true,
- "applicationDisplayName": "Business Application",
- "applicationOwnerDisplayName": "Default Organization",
- "applicationAccessible": true,
- "apiProductDisplayName": "Petstore APIs",
- "apiProductAccessible": true,
- "planDisplayName": "gold",
- "apiProductDTO": {
- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- null
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": null,
- "version": null
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}, - "apiProductImage": "string",
- "planDTO": {
- "id": 1,
- "displayName": "gold",
- "description": "some text...",
- "quotaHits": 1000,
- "quotaInterval": "DAY",
- "rateLimit": 10,
- "rateInterval": "SECOND",
- "deploymentStatus": "COMPLETE"
}
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List subscribable environments for API Product
Get List of subscribable environment (an environment is subscribable when it contains at least one api from the provided api product)
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (EnvironmentDTO) List of EnvironmentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List plans for API Product
Get all plans for an API Product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (PlanDTO) List of PlanDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "id": 1,
- "displayName": "gold",
- "description": "some text...",
- "quotaHits": 1000,
- "quotaInterval": "DAY",
- "rateLimit": 10,
- "rateInterval": "SECOND",
- "deploymentStatus": "COMPLETE"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List allowed organizations for API Product
Get all organizations (name and id only) that have been granted access to this API Product. Only applies if API Product visibility is RESTRICTED.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| displayName required | string Display name of the organization. |
| id required | string <uuid> UUID of the organization. |
Response samples
- 200
- default
[- {
- "displayName": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]List available organizations for API Product
Return possible organizations (name and id only) that can be granted access to this API Product. Organizations that have already been granted access to this API Product, will not be included - neither will be the API Product's owning organization.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| displayName required | string Display name of the organization. |
| id required | string <uuid> UUID of the organization. |
Response samples
- 200
- default
[- {
- "displayName": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]Download API Product documentation file
Get content of a previously uploaded API Product documentation file.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| fileName required | string |
Responses
Response Schema: application/octet-stream
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Delete API Product documentation file
Delete a previously uploaded API Product documentation file.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| fileName required | string |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}List deployments for API Product
Return deployments for an API Product. Note that the product is deployed together with a specific plan, so there may be a deployment for each plan.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiProductPlanDeploymentDTO) List of ApiProductPlanDeploymentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "deployedForApiProduct": true,
- "environment": 1,
- "plan": 1,
- "apiProduct": 1,
- "gatewayId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "lastSuccessfulTask": "DEPLOY",
- "lastFailedTask": "DEPLOY",
- "failureMessage": "description of error",
- "id": 1,
- "apiPlanDeployments": [
- {
- "environment": 1,
- "plan": 1,
- "api": 1,
- "gatewayId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "lastSuccessfulTask": "DEPLOY",
- "lastFailedTask": "DEPLOY",
- "failureMessage": "description of error",
- "id": 1
}
]
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List APIs in API Product
Get all APIs in an API product. Inactive APIs are not included when calling this from a developer portal.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| includeDeployedOn | boolean |
| excludeCurrentVersionApiSpecType | Array of strings Items Enum: "current" "OPENAPI_V2" "OPENAPI_V3" "ASYNCAPI_V2" "GRAPHQL" "PROTOCOL_BUFFERS" |
| excludeDeployedOnEnvStage | string Enum: "DEVELOPMENT" "PRODUCTION" |
| platformTypes | Array of strings |
| type | string Enum: "REST" "GRAPHQL" |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiDTO) List of ApiDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "id": 1,
- "name": "petstore",
- "displayName": "Petstore API",
- "description": "some text...",
- "url": "/petstore",
- "status": "ACTIVE",
- "owner": 1,
- "tags": [
- "string"
], - "type": "REST",
- "gitUrl": "git@github.com:test/my-repo.git",
- "gitCredential": 1,
- "platformType": "AWS",
- "deploymentStatus": "COMPLETE",
- "createdAt": "2019-08-24T14:15:22Z",
- "hasImage": false,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "globalApiId": "string",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List visible API Products
Get a filtered and paged list of all API Products that the current user is allowed to see. This does not mean that the user is able to subscribe to all of these products.
Authorizations:
query Parameters
| text | string |
| tags | Array of strings |
| api | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| platformTypes | Array of strings Filter by platform types. Supports multiple values (e.g., platformTypes=BOOMI&platformTypes=AWS). |
| fullTextSearch | boolean |
| selfServiceSubscriptionAllowed | boolean |
| candidatesForApplication | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| mcpStatus | string Enum: "DISABLED" "ENABLED" |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiProductDTO) List of ApiProductDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "petstore",
- "displayName": "Pet related APIs",
- "description": "some text...",
- "visibility": "PUBLIC",
- "allowSelfServiceSubscription": true,
- "published": true,
- "mcpStatus": "DISABLED",
- "tags": [
- "string"
], - "owner": 1,
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "platformTypes": [
- "string"
], - "subscribableStatus": "OK",
- "deploymentStatus": "COMPLETE",
- "id": 1,
- "hasImage": false,
- "deployedOn": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "mcpServerVersion": "1.0.0",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Delete API Product asynchronously
Asynchronously delete an API Product.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| undeploy | boolean |
Responses
Response Schema: application/json
| id required | string <uuid> UUID of the async job. |
Response samples
- 200
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}